## datalab 0.18.1

=== requirements.txt ===
PyQt5
guidata
plotpy
PythonQwt
scikit-image
opencv-python-headless
pandas
PyWavelets
psutil
pylint
ruff
coverage
pytest
pytest-xvfb
pycodestyle
pyinstaller>=6.2
sphinx
sphinx-intl
sphinx-sitemap
myst_parser
sphinx_design
sphinx-copybutton
pydata-sphinx-theme
esbonio
rstcheck
doc8
build
twine

## datalab 0.16.3

=== debian/changelog ===
datalab (0.16.3-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Thu, 04 Jul 2024 10:25:27 +0200

datalab (0.16.2-1) unstable; urgency=medium

  * New upstream release, includes fixes for testsuite.
  * Consequently, fix build-time tests and autopkgtests.

 -- Roland Mas <lolando@debian.org>  Mon, 01 Jul 2024 19:41:00 +0200

datalab (0.14.2-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 14 May 2024 12:02:47 +0200

datalab (0.14.2-1) unstable; urgency=medium

  * New upstream release, with license clarifications.
  * Update debian/copyright accordingly.

 -- Roland Mas <lolando@debian.org>  Sat, 23 Mar 2024 15:54:07 +0100

datalab (0.14.1+ds1-1) unstable; urgency=low

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Fri, 22 Mar 2024 17:03:42 +0100

=== debian/control ===
Source: datalab
Section: python
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
 Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13),
	       dbus,
               dh-python,
               python3-all,
	       pybuild-plugin-pyproject,
	       python3-setuptools,
	       python3-h5py,
	       python3-guidata,
	       python3-guiqwt,
	       python3-numpy,
	       python3-opencv,
	       python3-plotpy (>= 2.4~),
	       python3-pytest <!nocheck>,
	       python3-pytest-xvfb <!nocheck>,
	       python3-pywt,
	       python3-qtpy,
	       python3-skimage,
	       xauth,
	       xvfb <!nocheck>,
	       x11-utils <!nocheck>,
Standards-Version: 4.6.2.0
#Testsuite: autopkgtest-pkg-pybuild
Homepage: https://datalab-platform.com/
Vcs-Git: https://salsa.debian.org/python-team/packages/datalab.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/datalab
Rules-Requires-Root: no

Package: python3-datalab
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3,
 python3-opencv,
Description: data processing and analysis software for scientific and industrial applications
 DataLab is an open-source platform for scientific and technical data
 processing and visualization with unique features designed to meet
 industrial requirements. Leveraging the richness of the scientific
 Python ecosystem and the Qt graphical user interfaces, DataLab is a
 versatile tool, extendable with plugins and working seamlessly with
 your IDE or your Jupyter notebooks.

=== debian/tests/control ===
Test-Command: for v in $(py3versions -vs) ; do unset SESSION_MANAGER
 ; HOME=$(mktemp -d)
 ; trap "rm -rf $$HOME" EXIT
 ; XDG_RUNTIME_DIR=$HOME python$v -m pytest && rm -r $HOME
 ; done
Depends: @, python3-pytest-xvfb
Restrictions: allow-stderr

## datalab 0.17.0

=== debian/changelog ===
datalab (0.17.0-3) unstable; urgency=medium

  * Restrict autopkgtests to architectures where the dependencies can be
    fulfilled.

 -- Roland Mas <lolando@debian.org>  Wed, 14 Aug 2024 11:43:00 +0200

datalab (0.17.0-2) unstable; urgency=medium

  * Bump versioned Build-Depends: plotpy.

 -- Roland Mas <lolando@debian.org>  Wed, 14 Aug 2024 00:05:33 +0200

datalab (0.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 06 Aug 2024 17:13:50 +0200

datalab (0.16.4-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 17 Jul 2024 18:42:02 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	       python3-guiqwt,
 	       python3-numpy,
 	       python3-opencv,
-	       python3-plotpy (>= 2.4~),
+	       python3-plotpy (>= 2.6~),
 	       python3-pytest <!nocheck>,
 	       python3-pytest-xvfb <!nocheck>,
 	       python3-pywt,

=== debian/tests/control ===
--- 
+++ 
@@ -5,4 +5,4 @@
  ; done
 Depends: @, python3-pytest-xvfb
 Restrictions: allow-stderr
-
+Architecture: amd64, arm64, armhf, i386

## datalab 0.18.1

=== debian/changelog ===
datalab (0.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Fri, 03 Jan 2025 19:35:29 +0100

datalab (0.17.0-5) unstable; urgency=medium

  * Also depend on python3-qtpy-pyqt5 rather than python3-qtpy for the
    binary package (Closes: #1089937).

 -- Roland Mas <lolando@debian.org>  Fri, 03 Jan 2025 16:11:42 +0100

datalab (0.17.0-4) unstable; urgency=medium

  * Depend on python3-qtpy-pyqt5 rather than python3-qtpy (Closes:
    #1089937).

 -- Roland Mas <lolando@debian.org>  Fri, 27 Dec 2024 14:40:07 +0100

=== debian/control ===
Source: datalab
Section: python
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
 Roland Mas <lolando@debian.org>,
Build-Depends:
 dbus,
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-guidata <!nocheck>,
 python3-guiqwt <!nocheck>,
 python3-h5py <!nocheck>,
 python3-numpy <!nocheck>,
 python3-opencv <!nocheck>,
 python3-plotpy (>= 2.7~),
 python3-pytest <!nocheck>,
 python3-pytest-xvfb <!nocheck>,
 python3-pywt <!nocheck>,
 python3-qtpy-pyqt5 <!nocheck>,
 python3-setuptools,
 python3-skimage <!nocheck>,
Standards-Version: 4.6.2.0
#Testsuite: autopkgtest-pkg-pybuild
Homepage: https://datalab-platform.com/
Vcs-Git: https://salsa.debian.org/python-team/packages/datalab.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/datalab
Rules-Requires-Root: no

Package: python3-datalab
Architecture: all
Depends:
 python3,
 python3-opencv,
 python3-qtpy-pyqt5,
 ${misc:Depends},
 ${python3:Depends},
Description: data processing and analysis software for scientific and industrial applications
 DataLab is an open-source platform for scientific and technical data
 processing and visualization with unique features designed to meet
 industrial requirements. Leveraging the richness of the scientific
 Python ecosystem and the Qt graphical user interfaces, DataLab is a
 versatile tool, extendable with plugins and working seamlessly with
 your IDE or your Jupyter notebooks.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=datalab
export PYBUILD_SYSTEM=pyproject
export CDL_DATA=$(CURDIR)/cdl/data/tests
%:
	dh $@ --with python3 --with=numpy3 --buildsystem=pybuild

override_dh_auto_test:
	set -e;	for v in $$(py3versions -vs) ; do HOME=$$(mktemp -d);trap "rm -rf $$HOME" EXIT;cd $(CURDIR)/.pybuild/cpython3_$${v}_datalab/build ; unset SESSION_MANAGER ; PYTHONPATH=. XDG_RUNTIME_DIR=$$HOME xvfb-run python$$v -m pytest && rm -r $$HOME ; done

=== debian/tests/control ===
Test-Command: for v in $(py3versions -vs) ; do unset SESSION_MANAGER
 ; HOME=$(mktemp -d)
 ; trap "rm -rf $$HOME" EXIT
 ; XDG_RUNTIME_DIR=$HOME python$v -m pytest && rm -r $HOME
 ; done
Depends:
 python3-pytest-xvfb,
 @,
Restrictions: allow-stderr
Architecture: # Because amd64, arm64, armhf, for https://bugs.debian.org/1030916 i386 instance

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.]*@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/DataLab-Platform/DataLab/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## datalab 1.0.2

=== requirements.txt ===
Coverage
NumPy >= 1.22
PlotPy >= 2.8.2
PyQt5 >= 5.15.6
PyWavelets >= 1.2
SciPy >= 1.10.1
Sigima >= 1.0.3
babel
build
guidata >= 3.13.4
myst_parser
opencv-python-headless >= 4.8.1.78
packaging >= 21.3
pandas >= 1.4
pre-commit
psutil >= 5.8
pydata-sphinx-theme
pyinstaller == 6.16.0
pylint
pytest
pytest-xvfb
ruff
scikit-image >= 0.19.2
sphinx
sphinx-copybutton
sphinx-sitemap
sphinx_design
sphinx_intl

=== debian/changelog ===
datalab (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * This fixes: "autopkgtest regression with guidata 3.13.3-1", thanks to
    Graham Inggs (Closes: #1122183).

 -- Roland Mas <lolando@debian.org>  Tue, 09 Dec 2025 21:48:59 +0100

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,15 @@
  python3-h5py <!nocheck>,
  python3-numpy <!nocheck>,
  python3-opencv <!nocheck>,
- python3-plotpy (>= 2.7~),
+ python3-plotpy (>= 2.8~),
  python3-pytest <!nocheck>,
  python3-pytest-xvfb <!nocheck>,
  python3-pywt <!nocheck>,
  python3-qtpy-pyqt5 <!nocheck>,
  python3-setuptools,
+ python3-sigima <!nocheck>,
+ dh-sequence-python3,
+ dh-sequence-numpy3,
  python3-skimage <!nocheck>,
 Standards-Version: 4.6.2.0
 #Testsuite: autopkgtest-pkg-pybuild

=== debian/rules ===
#! /usr/bin/make -f

export DATALAB_DATA=datalab/data

%:
	dh $@ --buildsystem=pybuild
